Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network212.2.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
212.2.64.0
Broadcast address
212.2.127.255
First usable
212.2.64.1
Last usable
212.2.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
C (default /24)
As numbers
Hex D4024000 · Integer 3556917248 to 3556933631
Reverse DNS zones
64.2.212.in-addr.arpa
65.2.212.in-addr.arpa
66.2.212.in-addr.arpa
67.2.212.in-addr.arpa
68.2.212.in-addr.arpa
69.2.212.in-addr.arpa
70.2.212.in-addr.arpa
71.2.212.in-addr.arpa
72.2.212.in-addr.arpa
73.2.212.in-addr.arpa
74.2.212.in-addr.arpa
75.2.212.in-addr.arpa
76.2.212.in-addr.arpa
77.2.212.in-addr.arpa
78.2.212.in-addr.arpa
79.2.212.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010100.00000010.01000000.00000000212.2.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11010100.00000010.01000000.00000000212.2.64.0
Broadcast11010100.00000010.01111111.11111111212.2.127.255
Split into smaller subnets/25

212.2.64.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1212.2.64.0/25212.2.64.1 to 212.2.64.126212.2.64.127126
2212.2.64.128/25212.2.64.129 to 212.2.64.254212.2.64.255126
3212.2.65.0/25212.2.65.1 to 212.2.65.126212.2.65.127126
4212.2.65.128/25212.2.65.129 to 212.2.65.254212.2.65.255126
5212.2.66.0/25212.2.66.1 to 212.2.66.126212.2.66.127126
6212.2.66.128/25212.2.66.129 to 212.2.66.254212.2.66.255126
7212.2.67.0/25212.2.67.1 to 212.2.67.126212.2.67.127126
8212.2.67.128/25212.2.67.129 to 212.2.67.254212.2.67.255126
9212.2.68.0/25212.2.68.1 to 212.2.68.126212.2.68.127126
10212.2.68.128/25212.2.68.129 to 212.2.68.254212.2.68.255126
11212.2.69.0/25212.2.69.1 to 212.2.69.126212.2.69.127126
12212.2.69.128/25212.2.69.129 to 212.2.69.254212.2.69.255126
13212.2.70.0/25212.2.70.1 to 212.2.70.126212.2.70.127126
14212.2.70.128/25212.2.70.129 to 212.2.70.254212.2.70.255126
15212.2.71.0/25212.2.71.1 to 212.2.71.126212.2.71.127126
16212.2.71.128/25212.2.71.129 to 212.2.71.254212.2.71.255126
17212.2.72.0/25212.2.72.1 to 212.2.72.126212.2.72.127126
18212.2.72.128/25212.2.72.129 to 212.2.72.254212.2.72.255126
19212.2.73.0/25212.2.73.1 to 212.2.73.126212.2.73.127126
20212.2.73.128/25212.2.73.129 to 212.2.73.254212.2.73.255126
21212.2.74.0/25212.2.74.1 to 212.2.74.126212.2.74.127126
22212.2.74.128/25212.2.74.129 to 212.2.74.254212.2.74.255126
23212.2.75.0/25212.2.75.1 to 212.2.75.126212.2.75.127126
24212.2.75.128/25212.2.75.129 to 212.2.75.254212.2.75.255126
25212.2.76.0/25212.2.76.1 to 212.2.76.126212.2.76.127126
26212.2.76.128/25212.2.76.129 to 212.2.76.254212.2.76.255126
27212.2.77.0/25212.2.77.1 to 212.2.77.126212.2.77.127126
28212.2.77.128/25212.2.77.129 to 212.2.77.254212.2.77.255126
29212.2.78.0/25212.2.78.1 to 212.2.78.126212.2.78.127126
30212.2.78.128/25212.2.78.129 to 212.2.78.254212.2.78.255126
31212.2.79.0/25212.2.79.1 to 212.2.79.126212.2.79.127126
32212.2.79.128/25212.2.79.129 to 212.2.79.254212.2.79.255126
33212.2.80.0/25212.2.80.1 to 212.2.80.126212.2.80.127126
34212.2.80.128/25212.2.80.129 to 212.2.80.254212.2.80.255126
35212.2.81.0/25212.2.81.1 to 212.2.81.126212.2.81.127126
36212.2.81.128/25212.2.81.129 to 212.2.81.254212.2.81.255126
37212.2.82.0/25212.2.82.1 to 212.2.82.126212.2.82.127126
38212.2.82.128/25212.2.82.129 to 212.2.82.254212.2.82.255126
39212.2.83.0/25212.2.83.1 to 212.2.83.126212.2.83.127126
40212.2.83.128/25212.2.83.129 to 212.2.83.254212.2.83.255126
41212.2.84.0/25212.2.84.1 to 212.2.84.126212.2.84.127126
42212.2.84.128/25212.2.84.129 to 212.2.84.254212.2.84.255126
43212.2.85.0/25212.2.85.1 to 212.2.85.126212.2.85.127126
44212.2.85.128/25212.2.85.129 to 212.2.85.254212.2.85.255126
45212.2.86.0/25212.2.86.1 to 212.2.86.126212.2.86.127126
46212.2.86.128/25212.2.86.129 to 212.2.86.254212.2.86.255126
47212.2.87.0/25212.2.87.1 to 212.2.87.126212.2.87.127126
48212.2.87.128/25212.2.87.129 to 212.2.87.254212.2.87.255126
49212.2.88.0/25212.2.88.1 to 212.2.88.126212.2.88.127126
50212.2.88.128/25212.2.88.129 to 212.2.88.254212.2.88.255126
51212.2.89.0/25212.2.89.1 to 212.2.89.126212.2.89.127126
52212.2.89.128/25212.2.89.129 to 212.2.89.254212.2.89.255126
53212.2.90.0/25212.2.90.1 to 212.2.90.126212.2.90.127126
54212.2.90.128/25212.2.90.129 to 212.2.90.254212.2.90.255126
55212.2.91.0/25212.2.91.1 to 212.2.91.126212.2.91.127126
56212.2.91.128/25212.2.91.129 to 212.2.91.254212.2.91.255126
57212.2.92.0/25212.2.92.1 to 212.2.92.126212.2.92.127126
58212.2.92.128/25212.2.92.129 to 212.2.92.254212.2.92.255126
59212.2.93.0/25212.2.93.1 to 212.2.93.126212.2.93.127126
60212.2.93.128/25212.2.93.129 to 212.2.93.254212.2.93.255126
61212.2.94.0/25212.2.94.1 to 212.2.94.126212.2.94.127126
62212.2.94.128/25212.2.94.129 to 212.2.94.254212.2.94.255126
63212.2.95.0/25212.2.95.1 to 212.2.95.126212.2.95.127126
64212.2.95.128/25212.2.95.129 to 212.2.95.254212.2.95.255126
65212.2.96.0/25212.2.96.1 to 212.2.96.126212.2.96.127126
66212.2.96.128/25212.2.96.129 to 212.2.96.254212.2.96.255126
67212.2.97.0/25212.2.97.1 to 212.2.97.126212.2.97.127126
68212.2.97.128/25212.2.97.129 to 212.2.97.254212.2.97.255126
69212.2.98.0/25212.2.98.1 to 212.2.98.126212.2.98.127126
70212.2.98.128/25212.2.98.129 to 212.2.98.254212.2.98.255126
71212.2.99.0/25212.2.99.1 to 212.2.99.126212.2.99.127126
72212.2.99.128/25212.2.99.129 to 212.2.99.254212.2.99.255126
73212.2.100.0/25212.2.100.1 to 212.2.100.126212.2.100.127126
74212.2.100.128/25212.2.100.129 to 212.2.100.254212.2.100.255126
75212.2.101.0/25212.2.101.1 to 212.2.101.126212.2.101.127126
76212.2.101.128/25212.2.101.129 to 212.2.101.254212.2.101.255126
77212.2.102.0/25212.2.102.1 to 212.2.102.126212.2.102.127126
78212.2.102.128/25212.2.102.129 to 212.2.102.254212.2.102.255126
79212.2.103.0/25212.2.103.1 to 212.2.103.126212.2.103.127126
80212.2.103.128/25212.2.103.129 to 212.2.103.254212.2.103.255126
81212.2.104.0/25212.2.104.1 to 212.2.104.126212.2.104.127126
82212.2.104.128/25212.2.104.129 to 212.2.104.254212.2.104.255126
83212.2.105.0/25212.2.105.1 to 212.2.105.126212.2.105.127126
84212.2.105.128/25212.2.105.129 to 212.2.105.254212.2.105.255126
85212.2.106.0/25212.2.106.1 to 212.2.106.126212.2.106.127126
86212.2.106.128/25212.2.106.129 to 212.2.106.254212.2.106.255126
87212.2.107.0/25212.2.107.1 to 212.2.107.126212.2.107.127126
88212.2.107.128/25212.2.107.129 to 212.2.107.254212.2.107.255126
89212.2.108.0/25212.2.108.1 to 212.2.108.126212.2.108.127126
90212.2.108.128/25212.2.108.129 to 212.2.108.254212.2.108.255126
91212.2.109.0/25212.2.109.1 to 212.2.109.126212.2.109.127126
92212.2.109.128/25212.2.109.129 to 212.2.109.254212.2.109.255126
93212.2.110.0/25212.2.110.1 to 212.2.110.126212.2.110.127126
94212.2.110.128/25212.2.110.129 to 212.2.110.254212.2.110.255126
95212.2.111.0/25212.2.111.1 to 212.2.111.126212.2.111.127126
96212.2.111.128/25212.2.111.129 to 212.2.111.254212.2.111.255126
97212.2.112.0/25212.2.112.1 to 212.2.112.126212.2.112.127126
98212.2.112.128/25212.2.112.129 to 212.2.112.254212.2.112.255126
99212.2.113.0/25212.2.113.1 to 212.2.113.126212.2.113.127126
100212.2.113.128/25212.2.113.129 to 212.2.113.254212.2.113.255126
101212.2.114.0/25212.2.114.1 to 212.2.114.126212.2.114.127126
102212.2.114.128/25212.2.114.129 to 212.2.114.254212.2.114.255126
103212.2.115.0/25212.2.115.1 to 212.2.115.126212.2.115.127126
104212.2.115.128/25212.2.115.129 to 212.2.115.254212.2.115.255126
105212.2.116.0/25212.2.116.1 to 212.2.116.126212.2.116.127126
106212.2.116.128/25212.2.116.129 to 212.2.116.254212.2.116.255126
107212.2.117.0/25212.2.117.1 to 212.2.117.126212.2.117.127126
108212.2.117.128/25212.2.117.129 to 212.2.117.254212.2.117.255126
109212.2.118.0/25212.2.118.1 to 212.2.118.126212.2.118.127126
110212.2.118.128/25212.2.118.129 to 212.2.118.254212.2.118.255126
111212.2.119.0/25212.2.119.1 to 212.2.119.126212.2.119.127126
112212.2.119.128/25212.2.119.129 to 212.2.119.254212.2.119.255126
113212.2.120.0/25212.2.120.1 to 212.2.120.126212.2.120.127126
114212.2.120.128/25212.2.120.129 to 212.2.120.254212.2.120.255126
115212.2.121.0/25212.2.121.1 to 212.2.121.126212.2.121.127126
116212.2.121.128/25212.2.121.129 to 212.2.121.254212.2.121.255126
117212.2.122.0/25212.2.122.1 to 212.2.122.126212.2.122.127126
118212.2.122.128/25212.2.122.129 to 212.2.122.254212.2.122.255126
119212.2.123.0/25212.2.123.1 to 212.2.123.126212.2.123.127126
120212.2.123.128/25212.2.123.129 to 212.2.123.254212.2.123.255126
121212.2.124.0/25212.2.124.1 to 212.2.124.126212.2.124.127126
122212.2.124.128/25212.2.124.129 to 212.2.124.254212.2.124.255126
123212.2.125.0/25212.2.125.1 to 212.2.125.126212.2.125.127126
124212.2.125.128/25212.2.125.129 to 212.2.125.254212.2.125.255126
125212.2.126.0/25212.2.126.1 to 212.2.126.126212.2.126.127126
126212.2.126.128/25212.2.126.129 to 212.2.126.254212.2.126.255126
127212.2.127.0/25212.2.127.1 to 212.2.127.126212.2.127.127126
128212.2.127.128/25212.2.127.129 to 212.2.127.254212.2.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses